//
//  TicTacToeGame.h
//  TicTacToeSolution
//
//  Created by David Fisher on 9/4/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

#define kRHNumRows 3
#define kRHNumColumns kRHNumRows  // Most Tic Tac Toe boards should be square

typedef enum {
	RHTicTacToeMarkNone,
	RHTicTacToeMarkX,
	RHTicTacToeMarkO
} RHTicTacToeMark;

typedef enum {
	RHTicTacToeGameStateXTurn,
	RHTicTacToeGameStateOTurn,
	RHTicTacToeGameStateXWon,
	RHTicTacToeGameStateOWon,
	RHTicTacToeGameStateTie
} RHTicTacToeGameState;

@interface RHTicTacToeGame : NSObject {
	RHTicTacToeMark gameBoard[kRHNumRows][kRHNumColumns];
	RHTicTacToeGameState gameState;
}
@property (nonatomic) RHTicTacToeGameState gameState;
- (RHTicTacToeMark) getMarkInRow:(int) aRow column:(int) aColumn;
- (void) playerPressedRow:(int) aRow column:(int) aColumn;
- (void) resetBoard;

@end
